> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eqxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List active rails for a market



## OpenAPI

````yaml GET /v1/collections/{market}/rails
openapi: 3.0.0
info:
  title: EQXPay API
  description: >-
    EQX v2.5 staging API for admin, liquidity-provider, and integrator
    operations.
  version: 2.5.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/collections/{market}/rails:
    get:
      tags:
        - Collections Discovery
      summary: List active rails for a market
      operationId: CollectionsDiscoveryController_listRails
      parameters:
        - name: market
          required: true
          in: path
          schema:
            type: string
            example: MW
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RailResponseDto'
        '401':
          description: Unauthorized
        '404':
          description: Market not found or not accessible
      security:
        - bearer: []
components:
  schemas:
    RailResponseDto:
      type: object
      properties:
        code:
          type: string
          example: mobile_money
        name:
          type: string
          example: Mobile Money
        market:
          type: string
          example: MW
      required:
        - code
        - name
        - market
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````